package com.fr.plugin.cpic.db;

import com.fr.db.fun.impl.AbstractDBAccessProvider;
import com.fr.plugin.cpic.db.dao.CpicEntryDao;
import com.fr.plugin.cpic.db.dao.CpicHomeDao;
import com.fr.plugin.cpic.db.dao.CpicUserDao;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.DAOProvider;

public class CpicDBAccessProvider extends AbstractDBAccessProvider {

    private static DBAccessor accessor;

    public static DBAccessor getAccessor() {
        return accessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                CpicHomeDao.DAO,
                CpicEntryDao.DAO,
                CpicUserDao.DAO,
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        accessor = dbAccessor;
    }
}
