package com.fr.plugin.cpic.web;

import com.fr.decision.authority.base.AuthorityConstants;
import com.fr.decision.authority.base.constant.AuthorityStaticItemId;
import com.fr.decision.fun.impl.AbstractSystemOptionProvider;
import com.fr.decision.web.MainComponent;
import com.fr.plugin.cpic.web.component.CpicHomeComponent;
import com.fr.stable.fun.mark.API;
import com.fr.web.struct.Atom;


@API(level = CpicHomeOptionProvider.CURRENT_LEVEL)
public class CpicHomeOptionProvider extends AbstractSystemOptionProvider {

    private static final String DEC_PLUGIN_HOME_ID = "dec_plugin_home_id";

    @Override
    public String id() {
        return DEC_PLUGIN_HOME_ID;
    }

    @Override
    public String displayName() {
        return "门户管理";
    }

    @Override
    public int sortIndex() {
        return 0;
    }

    @Override
    public String fullPath() {
        // 判断后台实际权限
        return AuthorityStaticItemId.DEC_MANAGEMENT_ID +
                AuthorityConstants.FULL_PATH_SPLITTER +
                DEC_PLUGIN_HOME_ID;
    }

    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    public Atom client() {
        return CpicHomeComponent.KEY;
    }

}
